Page MenuHomePhabricator

Array to string conversion in MWOauthRequest
Closed, ResolvedPublic

Description

Spotted in production:

Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.7/extensions/OAuth/backend/MWOAuthRequest.php on line 61

Event Timeline

demon created this task.Jan 18 2017, 12:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2017, 12:03 AM
demon updated the task description. (Show Details)Jan 18 2017, 12:04 AM

Change 333315 had a related patch set uploaded (by Gergő Tisza):
Fix POST data logging for nested arrays

https://gerrit.wikimedia.org/r/333315

Change 333315 merged by jenkins-bot:
Fix POST data logging for nested arrays

https://gerrit.wikimedia.org/r/333315

demon closed this task as Resolved.Feb 8 2017, 10:54 PM
demon claimed this task.
Tgr added subscribers: Anomie, Tgr.Feb 9 2017, 12:00 AM

@Anomie these log records will ignore API rules about sensitive arguments. I imagine there is not much we can do about it?

It's outside the scope of the API.

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:11 PM